"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortByAttributeFilter = void 0;
/**
 * This function defines a filter which attempts to sort the given array into
 * subarrays using the provided attribute name.
 * @param array The array to be sorted.
 * @param attributeName The name of the attribute to sort the array by.
 * @returns A map containing the subarray for every value of the attribute.
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function sortByAttribute(array, attributeName) {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    const sorted = {};
    for (const item of array) {
        if (!sorted[item[attributeName]])
            sorted[item[attributeName]] = [];
        sorted[item[attributeName]].push(item);
    }
    delete sorted['undefined'];
    return sorted;
}
exports.sortByAttributeFilter = {
    name: 'sortByAttribute',
    function: sortByAttribute,
};
//# sourceMappingURL=sortByAttribute.js.map