function getPossibleScopeCombinations(security) {
    const possibleCombinations = [];
    for (const securityRequirement of security ?? []) {
        let combinations = [];
        for (const key in securityRequirement) {
            const scopes = securityRequirement[key];
            if (combinations.length === 0) {
                for (const scope of scopes) {
                    combinations.push([[key, scope]]);
                }
            }
            else {
                for (const scope of scopes) {
                    combinations = combinations.map(comb => [...comb, [key, scope]]);
                }
            }
        }
        possibleCombinations.push(...combinations);
    }
    return possibleCombinations;
}
export const getPossibleScopeCombinationsFilter = {
    name: 'getPossibleScopeCombinations',
    function: getPossibleScopeCombinations,
};
//# sourceMappingURL=getPossibleScopeCombinations.js.map